import os, sys
import glob

def fix_paths():
    script = os.path.abspath(__file__)
    elisa_core = os.path.dirname(script)
    path = list(os.path.split(elisa_core)[:-1])
    path.append('elisa-plugins')
    elisa_plugins = os.path.join(*path)

    if os.path.exists(elisa_core):
        sys.path.insert(0, elisa_core)

    if os.path.exists(elisa_plugins):
        sys.path.insert(1, elisa_plugins)

        key = 'ELISA_PLUGIN_PATH'
        paths = [p for p in os.environ.get(key, '').split(':') if p != '']
        paths.append(os.path.join(elisa_plugins, 'elisa'))
        os.environ[key] = ':'.join(paths)

def main(args=None):
    # fix the path for svn version
    fix_paths()

    core_dir = os.path.join(os.path.expanduser('~'), '.elisa', 'core')
    eggs = glob.glob("%s/*.egg" % core_dir)

    if eggs:
        for item in sys.path[:]:
            if item.find('elisa') > -1:
                sys.path.remove(item)

        last_egg = eggs[-1]
        egg_path = os.path.join(core_dir, last_egg)
        sys.path.insert(0, egg_path)

    from elisa.core import elisa_boot
    elisa_boot.run()
