# -*- coding: utf-8 -*-
# Elisa - Home multimedia server
# Copyright (C) 2007 Fluendo Embedded S.L. (www.fluendo.com).
# All rights reserved.
#
# This file is available under one of two license agreements.
#
# This file is licensed under the GPL version 2.
# See "LICENSE.GPL" in the root of this distribution including a special
# exception to use Elisa with Fluendo's plugins.
#
# The GPL part of Elisa is also available under a commercial licensing
# agreement from Fluendo.
# See "LICENSE.Elisa" in the root directory of this distribution package
# for details on that license.

__maintainer__ = 'Guido Amoruso <guidonte@fluendo.com>'

import os
from twisted.internet import reactor
from elisa.core.epm import console_client

def main(args=None):
    
    dirname = os.path.dirname(os.getcwd())
    plugins_dir = os.path.join(dirname, 'elisa-plugins', 'elisa')

    if os.path.isdir(plugins_dir):
        os.environ['ELISA_PLUGIN_PATH'] = plugins_dir

    reactor.callWhenRunning(console_client.main)
    reactor.run()

